Bug 39928 - traceback in school wizards if no school is set up
traceback in school wizards if no school is set up
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Wizards
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1
Assigned To: Florian Best
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 10:46 CET by Florian Best
Modified: 2016-01-11 11:15 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-11-13 10:46:58 CET
There is a javascript traceback in the School wizards if no school exists yet. I don't think it breaks something.

TypeError: Cannot read property 'length' of null
    at declare.getSearchWidgets (http://10.200.27.30/univention-management-console/js_$20151011154150$/umc/modules/schoolwizards/UserGrid.js:92:15)
    at declare.buildSearchForm (http://10.200.27.30/univention-management-console/js_$20151011154150$/umc/modules/schoolwizards/Grid.js:215:23)
    at declare.buildRendering (http://10.200.27.30/univention-management-console/js_$20151011154150$/umc/modules/schoolwizards/Grid.js:69:9)

this.schools is null instead of a empty list:

		getSearchWidgets: function() {
			var schools = lang.clone(this.schools);
			if (schools.length > 1) {
				schools.unshift({id: '/', label: _('All')});
			}
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-11-13 11:18:19 CET
What is the impact of this traceback? Error message to the user? Faulty behavior of the UMC?
Comment 2 Florian Best univentionstaff 2015-11-13 11:34:02 CET
(In reply to Sönke Schwardt-Krummrich from comment #1)
> What is the impact of this traceback? Error message to the user? Faulty
> behavior of the UMC?
The module doesn't render and is therefore not shown. But there is a non-closeable pop up to create a school which opens the school wizard successfully when clicking on it.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-11-13 11:40:43 CET
This affects only multi server environments since the installer creates a OU by default in single server mode.
Comment 4 Florian Best univentionstaff 2015-11-13 13:07:17 CET
Package: ucs-school-umc-wizards
Version: 7.0.1-1.133.201511131306
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2015-11-17 01:34:32 CET
OK: code change
OK: functional test
OK: xml changelog
Comment 6 Florian Best univentionstaff 2016-01-11 11:15:33 CET
UCS@school 4.1 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1v1-de.html

If this error occurs again, please use "Clone This Bug".